summaryrefslogtreecommitdiff
path: root/examples
diff options
context:
space:
mode:
Diffstat (limited to 'examples')
-rw-r--r--examples/pre-commit15
1 files changed, 1 insertions, 14 deletions
diff --git a/examples/pre-commit b/examples/pre-commit
index e0e89dd..1b5d5c6 100644
--- a/examples/pre-commit
+++ b/examples/pre-commit
@@ -1,20 +1,7 @@
#!/bin/bash
#
# An example hook script to store metadata information using
-# metastore on each commit. A verification message with a list
-# of changes will first be shown and only if it is accepted will
-# the commit proceed.
-
-echo "Going to commit the following metadata changes" >&2
-metastore -c -m >&2
-echo -n "Ok to commit? (y/n): " >&2
-read -n1 REPLY
-echo ""
-
-if [ "$REPLY" != "y" ]; then
- echo "Aborted" >&2
- exit 1
-fi
+# metastore on each commit.
if ! metastore -s; then
echo "Failed to execute metastore -s" >&2